Jul 042008
 


GyachE Improved (GyachI) is a free opensource program which is a fork from Gyach Enhanced Yahoo! client for Linux operating systems. This Yahoo! client for Linux operating system supports almost all of the features you would expect to find on the official Windows Yahoo! client: Voice chat, webcams, faders, ‘nicknames’, audibles, avatars, display images, and more. Yet, it remains very light-weight and memory-friendly. GyachE Improved uses Gtk-2 for its user interfaces (Gtk-2 2.0.6 or better required).

The latest stable version available for download is Gyachi 1.1.26. However, after a long journey with the installation, it started throwing errors when trying to start.  However, the version Gyachi 1.1.0 seems to work OK. There is a Gyachi 1.1.31 version for Ubuntu but couldn’t find the source. If anyone knows, please leave a comment and we can update for the masses.

Right!, let’s start installing. I did this installation on openSUSE11.0 and haven’t tried on the earlier versions but I beleive should work on them as well.

Pre-Requisites

Before we start on this installation expedition, lets identify the pre-requisites and install. This trust me makes your installation.

The following packages are required to be installed on your system before we proceed to compile and install Gyachi:

libtool / gettext-tools / gtk-devel / libgtkhtml / alsa / alsa-devel / alsa-tools / alsa-utils / gpgme-devel / mcrypt / mcrypt-devel / xmms / xmms-devel / lib-devel / openssl / openssl-devel / jasper / jasper-devel / libjpg-devel / v4l-conf / v4l-tools

I wish I knew all these in advance!

opensuse11:~ # yast2 –install libtool gettext-tools gtk-devel libgtkhtml  alsa alsa-devel alsa-tools alsa-utils gpgme-devel mcrypt mcrypt-devel xmms xmms-devel lib-devel openssl openssl-devel jasper jasper-devel libjpg-devel v4l-conf v4l-tools

Once these pre-requisites are installed, download Gyachi source from here

opensuse11:~ # wget http://switch.dl.sourceforge.net/sourceforge/gyachi/gyachi-1.1.0.tar.gz

Untar & unzip

opensuse11:~ # tar -zxvf gyachi-1.1.0.tar.gz

Change directory and compile

opensuse11:~ # cd gyachi-1.1.0

opensuse11:/gyachi-1.1.0 # ./autogen.sh

opensuse11:/gyachi-1.1.0 # ./configure –enable-maintainer-mode

Install the compiled package

opensuse11:/gyachi-1.1.0 # make

opensuse11:/gyachi-1.1.0 # make install

This should install the gyachi yahoo messenger client on your system.

To start Gyachi, simply start from terminal as follows:

opensuse11:/gyachi-1.1.0 # gyachi &

This should start the client GUI for you. Loginwith your yahoo login and should be in your chat room of preference. Happy chatting!!!

Gyachi Free opensource Yahoo messenger client